=== debian/changelog ===
kwin (4:5.7.5-0ubuntu2) yakkety; urgency=medium

  * Sync autopkgtest with debian. 
  * Run the tests executing kwin first.
  * Add kwin-style-breeze to testsuite depends.
  * Add kubuntu_disable_failing_test.diff to skip a test which seems
    impossible to get it working, not even with xvfb-run.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 07 Oct 2016 07:23:42 +0200

kwin (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:27:47 -0500

kwin (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.7.1)
  * Disable patch for upload
  * Refreshing symbols
  * Installing new file into kwin-x11.install
  * New upstream release (5.7.2)

  [ Philip Muškovac ]
  * Build-depend on breeze for the decorations

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:06:22 +0000

kwin (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.6.5)

  [ Rik Mills ]
  * Disable the disable_wayland_tests patch
  * Enable xwayland test 

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:47:44 +0100

kwin (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Bump soversion from 7 to 8
    - Rename affected install, symbols and other related files
    - Bump lib version in control file
  * Refreshing symbols and removing MISSING

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:20:30 -0700
